D4Science Infrastructure - Incident #7486

Issue with shared file public link
Mar 14, 2017 01:10 PM - Gianpaolo Coro

Status: Closed Start date: Mar 14, 2017
Priority: Normal Due date:

Assignee: Valentina Marioli % Done: 100%
Category: Application Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

| have issues at obtaining the public link of a file contained in the DRUMFISH shared folders. Please see the attached screenshot.

History

#1 - Mar 14, 2017 04:57 PM - Valentina Marioli

- Status changed from New to In Progress

#2 - Mar 14, 2017 04:59 PM - Valentina Marioli
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

The issue has been fixed. Now the public link is available.

#3 - Mar 14, 2017 05:15 PM - Gianpaolo Coro

Sorry Valentina, which was the issue? How can we avoid it in the future? What is worrying me is that this can happen also during courses (perhaps
done by non-CNR people), thus we should find a way to be alerted about the issue.

#4 - Mar 16, 2017 02:44 PM - Valentina Marioli

I'm going to run a script to check if the remote path set on the workspace items is equals to the remote path in the storage. The workspace items are
downloaded by storage ID, but the remote path is used to create the public link, that's why you can download the file, but not create the public link.
The mismatch was due to a wrong set of the destination remote path, moving the file, under certain conditions. The issue has been fixed in gCube
4.3.
